Reconnecting to irc network clears blowfish encryption keys
10/19/2013 05:50 PM - sjefen6

Status: Feedback Start date: 10/19/2013
Priority: Normal Due date:

Assignee: % Done: 50%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.9-pre 0S: Any
Description

Reconnecting to the irc network clears blowfish encryption keys. This is a major inconvenience.

Associated revisions

Revision 8851271 - 09/24/2015 09:15 PM - Bas Pape

Store the channel keys in CoreNetwork again

The refactoring from 3146ad0 (and e0781ee) was not a true refactoring as
it changed behaviour: CorelrcChannels (as opposed to CoreNetworks) are
ephemeral, which meant disconnecting or parting lost the channel key.

Keys are still kept by the channel's cipher, but synced from/to its network when
the constructor/destructor is called.

Fixes #1248

Revision 0a51798b - 01/02/2016 05:35 PM - Bas Pape

Store the channel keys in CoreNetwork again

The refactoring from 3146ad0 (and e0781ee) was not a true refactoring as

it changed behaviour: CorelrcChannels (as opposed to CoreNetworks) are
ephemeral, which meant disconnecting or parting lost the channel key.

Keys are still kept by the channel's cipher, but synced from/to its network when

the constructor/destructor is called.

Fixes #1248

History

#1 - 10/09/2015 12:06 AM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|{8851271f84e262bfd38f18aa76e78d20f4f5602.

#2 - 06/01/2016 10:07 PM - sjefen6
- Status changed from Resolved to Feedback

- % Done changed from 100 to 50

This is resolved for channels, but not queries. Tested on Core 0.12.4, Client 0.12.3.
